Download it now!
Bug 32376 - Set default color to the current one in toolbar popups
Summary: Set default color to the current one in toolbar popups
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) Windows (All)
: medium enhancement
Assignee: Caolán McNamara
URL:
Whiteboard: color_handling
Keywords: easyHack
Depends on:
Blocks:
 
Reported: 2010-12-14 00:19 UTC by Michiel Wittkampf
Modified: 2015-12-18 09:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Current color pallet when pussing the text color toolbarbutton (61.22 KB, image/png)
2010-12-14 00:19 UTC, Michiel Wittkampf
Details
Example design for letting color stand out in color pallet when pussing the text color toolbarbutton (61.10 KB, image/png)
2010-12-14 00:22 UTC, Michiel Wittkampf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michiel Wittkampf 2010-12-14 00:19:18 UTC
Created attachment 41099 [details]
Current color pallet when pussing the text color toolbarbutton

The toolbar text color dialog doesn't (clearly) show which color is currently used in the text where the cursor is. If it would, it would be easier to look up the color and thereafther apply it to other objects (drawing objects, text.)

In more detail...
When for example selecting text, the color on the text color button changes to the color of the selected text (that's fine) (i.e.: purple.) When pushing the text color toolbar button the available colors are shown in a color pallet(that's fine too.) Yet at this point it is still unclear which exact color is used for the selected text (i.e. dark purple or very dark purple.) In the color pallet there is no indicator which color is used (for the selected text.) Although the toolbar button shows the color, it is not clear which color in the pallet this corresponds to. So it is difficult to find the correct color in the color pallet.

Suggestion:
Let the color of the selected text stand out in the color pallet (of the text color toolbar button.) For example, draw a line around that color in the pallet.

The same should go for:
- the other libreoffice components (impress, etc.)
- the background color button pallet (i.e. in writer.)
- if no text is selected, show the color of the text surrounding the cursor.

This would make working with colors more intuitive.
Comment 1 Michiel Wittkampf 2010-12-14 00:22:21 UTC
Created attachment 41100 [details]
Example design for letting color stand out in color pallet when pussing the text color toolbarbutton
Comment 2 Michiel Wittkampf 2010-12-14 00:25:54 UTC
This enhancement request is an improved version of the following bug (marked as invalid.): https://bugs.freedesktop.org/show_bug.cgi?id=30720
Comment 3 Cédric Bosdonnat 2010-12-14 00:34:14 UTC
This is a good easy hack candidate. The code of the color palette of the toolbars is located here:
http://opengrok.go-oo.org/xref/libs-core/svx/source/tbxctrls/tbcontrl.cxx#SvxColorWindow_Impl
Comment 4 Rainer Bielefeld Retired 2010-12-14 01:03:05 UTC
Please mention following items (results from discussion in OOo) before you do modifications in Code!
1. regard consistence for all LibO applications, current inconsistences 
   (pls see. <https://bugs.freedesktop.org/show_bug.cgi?id=30720#c2> 
   should be eliminated  if you can't tell good reasons for them.
2. Current behaviour in WRITER is result of common sense, it enables to change 
   color due to earlyer changes very easy. I believe it should be adopted for
   CALC, DRAW, Impress, ...
3. I agree with reporter's intentions. In any case it would be useful to see the
   current character color in the character color picker. That's more intuitive 
   than to use menu 'Format -> Character -> effects'. Design due to 
   "Example Design" is a good idea.
3a. I additionally would like a mark at the color in the picker to what a 
    modifications clicking the icon would lead.
4. Concerning use of color picker for further modifications,  I agree with 
   reporter's intentions. An additional option to check the color 
   used for the text (before the last modification) might be useful. Example: 
   first modification: text color modified to blue
   second modification: text color modified to red
   third modification: should be like first one.
     For this third modification it might be useful to have an option in the 
     current text color due to my item 3
     And an additional button "use color for further modifications" might be
     perfect - or overbloated?

@Michiel Wittkampf:
Why did you file this report with Component "Spreadsheet"? I see that as an UI issue.
Comment 5 Caolán McNamara 2011-02-25 08:43:40 UTC
Kurosawa Takeshi provided a fix for this to auto-select in the palette the colour the palette is set to, which improves this a lot. Now pushed into master
Comment 6 Rainer Bielefeld Retired 2012-04-10 02:39:44 UTC
EasyHack tags unification: tags only allowed in Whiteboard to make queries more easy and reliable
Comment 7 Robinson Tryon (qubit) 2015-12-18 09:56:40 UTC
Migrating Whiteboard tags to Keywords: (EasyHack)
[NinjaEdit]